> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/8.-mutacio-rastermap-letrehozasa.md).

# 8. Mutáció: RasterMap létrehozása

Generálja a "RasterMap"-et a "Field" számára.

{% hint style="info" %}
A végrehajtási idő változó (4 másodperctől 5 percig), ez a feldolgozandó képek számától és a mező területétől függ, és az előfizetés a "RasterMap" sikeres létrehozása után lesz megkapva.
{% endhint %}

{% hint style="danger" %}
Azt javasoljuk, hogy használja a **aszinchrón** megközelítést a RastetMap generálásához
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<helyőrző_satelitkép_uuid_2>"
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    név
    centroid {
      szélességi (latitude)
      hosszúsági (longitude)
    }
    boundingBox
    geoMaps {
      rövidNév
      teljesNév
      url
      osztályok
      hexSzínkódok
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/8.-mutacio-rastermap-letrehozasa.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
